Bug 198233 - ldd -r reports undefined symbols
ldd -r reports undefined symbols
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: OpenIPMI (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
:
Depends On:
Blocks: ldd-r-kh
  Show dependency treegraph
 
Reported: 2006-07-10 11:14 EDT by Karsten Hopp
Modified: 2015-03-04 20:17 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-07 20:27:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Karsten Hopp 2006-07-10 11:14:35 EDT
Note: ldd can't handle dlopen'ed dependent libraries and these unresolved symbols
might be resolved by those. But this needs to be checked.
Reproducer: rpm -ql <packagename>| grep lib.*so | xargs ldd -r


OpenIPMI-devel-2.0.6-4
undefined symbol: ipmi_cmdlang_global_err       (/usr/lib/libOpenIPMIcmdlang.so)
undefined symbol: ipmi_cmdlang_report_event     (/usr/lib/libOpenIPMIcmdlang.so)
Comment 1 Karsten Hopp 2006-07-10 11:16:33 EDT
There a lots (> 300) more of these undefined symbols
Comment 2 Karsten Hopp 2008-01-14 09:28:08 EST
This is still an issue in Rawhide with OpenIPMI-devel-2.0.13-1.fc9. Please
comment if this is a bug or if these symbols are resolved by dlopening other
libraries.
Comment 3 Bug Zapper 2008-05-13 22:11:58 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Brennan Ashton 2008-06-07 20:27:45 EDT
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.